package com.ruoyi.project.business.mapper.contract;

import java.util.List;
import com.ruoyi.project.business.domain.TqContract;
import com.ruoyi.project.business.domain.bo.TqContractBo;
import com.ruoyi.project.business.domain.vo.contract.TqContractVo;

/**
 * 合同列表Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public interface TqContractMapper 
{
    /**
     * 查询合同列表
     * 
     * @param id 合同列表主键
     * @return 合同列表
     */
    public TqContract selectTqContractById(Long id);

    /**
     * 查询合同列表列表
     * 
     * @param tqContract 合同列表
     * @return 合同列表集合
     */
    public List<TqContract> selectTqContractList(TqContract tqContract);

    public List<TqContractVo> selectTqContractBoList(TqContractBo tqContract);
    public List<TqContractVo> selectTqContractBoListApp(TqContractBo tqContract);
    /**
     * 新增合同列表
     * 
     * @param tqContract 合同列表
     * @return 结果
     */
    public int insertTqContract(TqContract tqContract);

    /**
     * 修改合同列表
     * 
     * @param tqContract 合同列表
     * @return 结果
     */
    public int updateTqContract(TqContract tqContract);

    /**
     * 删除合同列表
     * 
     * @param id 合同列表主键
     * @return 结果
     */
    public int deleteTqContractById(Long id);

    /**
     * 批量删除合同列表
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTqContractByIds(Long[] ids);
}
